<?php

namespace Nest\Database\Query;

/**
 * Raw SQL content.
 */
readonly class Raw
{
	/**
	 * Create new raw SQL content.
	 * @param string $sql Raw SQL content.
	 * @param array $bindings Raw SQL bindings.
	 */
	public function __construct(public string $sql, public array $bindings = [])
	{
	}

	public function __toString(): string
	{
		return $this->sql;
	}
}
