<?php

namespace Nest\Database\Cli\Migrations;

use Nest\Application;
use Nest\Cli\Commands\CommandHandler;
use Nest\Cli\Out;

class NewCommand extends CommandHandler
{
	public function __invoke(string $name): void
	{
		// Create a new migration.
		Application::get()->migrations()->newMigration($name);

		Out::success("Migration successfully created.");
	}
}
