<?php

namespace Nest\Database\Exceptions;

/**
 * Exception thrown when the current transaction does not allow to commit or rollback the transaction.
 */
class InvalidTransactionStateException extends DatabaseException
{
	public function __construct(string $message = "", int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($message, $code, $previous);
	}
}
