<?php

namespace Nest\Database\PostgreSql;

use Nest\Database\Configuration\DatabaseFactory;
use Nest\Database\Database;

class PostgreSql extends DatabaseFactory
{
	/**
	 * @inheritDoc
	 */
	#[\Override] public function make(): Database
	{
		return new PostgreSqlDatabase(
			$this->getRequiredConfig("host"),
			$this->getRequiredConfig("database"),
			$this->getRequiredConfig("username"),
			$this->getRequiredConfig("password"),
			$this->getOptionalConfig("port", 5432),
		);
	}
}
